summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorPeter 'Pita' Martischka <petermartischka@googlemail.com>2011-07-27 14:37:12 +0100
committerPeter 'Pita' Martischka <petermartischka@googlemail.com>2011-07-27 14:37:12 +0100
commitde5c0741f7585e0afde690bba128c0b1b0c3c035 (patch)
tree61dd3019e8ea0daeb857f4a553f2ac9aa4a5549e /bin
parente96595896c8b33df9756acfb18f4b572696185e2 (diff)
downloadetherpad-lite-de5c0741f7585e0afde690bba128c0b1b0c3c035.zip
improved the bin files
Diffstat (limited to 'bin')
-rwxr-xr-xbin/debugRun.sh19
-rwxr-xr-xbin/installDeps.sh56
-rwxr-xr-xbin/run.sh41
3 files changed, 73 insertions, 43 deletions
diff --git a/bin/debugRun.sh b/bin/debugRun.sh
index 014d11cd..fede0b50 100755
--- a/bin/debugRun.sh
+++ b/bin/debugRun.sh
@@ -1,5 +1,17 @@
#!/bin/sh
+#Move to the folder where ep-lite is installed
+FOLDER=$(dirname $(readlink -f $0))
+cd $FOLDER
+
+#Was this script started in the bin folder? if yes move out
+if [ -d "../bin" ]; then
+ cd "../"
+fi
+
+#prepare the enviroment
+bin/installDeps.sh || exit 1
+
hash node-inspector > /dev/null 2>&1 || {
echo "You need to install node-inspector to run the tests!" >&2
echo "You can install it with npm" >&2
@@ -11,9 +23,8 @@ node-inspector &
echo "If you new to node-inspector, take a look at this video: http://youtu.be/AOnK3NVnxL8"
-if [ -d "../bin" ]; then
- cd "../"
-fi
-
cd "node"
node --debug server.js
+
+#kill node-inspector before ending
+kill $!
diff --git a/bin/installDeps.sh b/bin/installDeps.sh
new file mode 100755
index 00000000..feff219e
--- /dev/null
+++ b/bin/installDeps.sh
@@ -0,0 +1,56 @@
+#Move to the folder where ep-lite is installed
+FOLDER=$(dirname $(readlink -f $0))
+cd $FOLDER
+
+#Was this script started in the bin folder? if yes move out
+if [ -d "../bin" ]; then
+ cd "../"
+fi
+
+#Is wget installed?
+hash wget > /dev/null 2>&1 || {
+ echo "Please install wget" >&2
+ exit 1
+}
+
+#Is node installed?
+hash node > /dev/null 2>&1 || {
+ echo "Please install node.js ( http://nodesjs.org )" >&2
+ exit 1
+}
+
+#Is npm installed?
+hash npm > /dev/null 2>&1 || {
+ echo "Please install npm ( http://npmjs.org )" >&2
+ exit 1
+}
+
+#Does a settings.json exist? if no copy the template
+if [ ! -f "settings.json" ]; then
+ echo "Copy the settings template to settings.json..."
+ cp -v settings.json.template settings.json || exit 1
+fi
+
+echo "Ensure that all dependencies are up to date..."
+npm install || exit 1
+
+echo "Ensure jQuery is downloaded and up to date..."
+DOWNLOAD_JQUERY="true"
+NEEDED_VERSION="1.6.2"
+if [ -f "static/js/jquery.min.js" ]; then
+ VERSION=$(cat static/js/jquery.min.js | head -n 2 | tail -n 1 | grep -o "v[0-9]*\.[0-9]*\.[0-9]*");
+
+ if [ ${VERSION#v} = $NEEDED_VERSION ]; then
+ DOWNLOAD_JQUERY="false"
+ fi
+fi
+
+if [ $DOWNLOAD_JQUERY = "true" ]; then
+ wget -O static/js/jquery.min.js http://code.jquery.com/jquery-$NEEDED_VERSION.min.js || exit 1
+fi
+
+#Remove all minified data to force node creating it new
+echo "Clear minfified cache..."
+rm -f var/minified*
+
+exit 0
diff --git a/bin/run.sh b/bin/run.sh
index 3256d0fd..e89e3af9 100755
--- a/bin/run.sh
+++ b/bin/run.sh
@@ -16,45 +16,8 @@ if [ "$(id -u)" -eq 0 ]; then
exit 1
fi
-#Is node installed?
-hash node > /dev/null 2>&1 || {
- echo "You need to install node to run Etherpad-Lite!" >&2
- exit 1
-}
-
-#Is npm installed?
-hash npm > /dev/null 2>&1 || {
- echo "You need to install npm to run Etherpad-Lite!" >&2
- exit 1
-}
-
-#Does a settings.json exist? if no copy the template
-if [ ! -f "settings.json" ]; then
- echo "Copy the settings template to settings.json..."
- cp -v settings.json.template settings.json
-fi
-
-echo "Ensure that all dependencies are up to date..."
-npm install
-
-echo "Ensure jQuery is downloaded and up to date..."
-DOWNLOAD_JQUERY="true"
-NEEDED_VERSION="1.6.2"
-if [ -f "static/js/jquery.min.js" ]; then
- VERSION=$(cat static/js/jquery.min.js | head -n 2 | tail -n 1 | grep -o "v[0-9]*\.[0-9]*\.[0-9]*");
-
- if [ ${VERSION#v} = $NEEDED_VERSION ]; then
- DOWNLOAD_JQUERY="false"
- fi
-fi
-
-if [ $DOWNLOAD_JQUERY = "true" ]; then
- wget -O static/js/jquery.min.js http://code.jquery.com/jquery-$NEEDED_VERSION.min.js
-fi
-
-#Remove all minified data to force node creating it new
-echo "Clear minfified cache..."
-rm var/minified* 2> /dev/null
+#prepare the enviroment
+bin/installDeps.sh || exit 1
#Move to the node folder and start
echo "start..."